uif (1.1.8-2) unstable; urgency=medium

  * debian/control:
    + Fix package name in D (libdata-validate-ip -> libdata-validate-ip-perl).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 16 Jan 2017 00:15:03 +0100

uif (1.1.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add D (uif): libdata-validate-ip, libsocket-perl.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 16 Jan 2017 00:03:57 +0100

uif (1.1.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_Debian-name-spelling.patch,
      0002_correctly-ignore-ipv4+6-only-rules.patch.
      Included in this upstream release.
  * debian/control:
    + Bump Standards-Version: to 3.9.8. No changes needed.
    + Use https:// URLs in Vcs-*: fields.
    + Add D (uif): lsb-base.
  * debian/{control,compat}:
    + Bump to DH version level 9.
  * uif.docs:
    + Upstream docs converted to .md files.
  * debian/po:
    + Add pt_BR translation. (Closes: #827495). Many thanks to Adriano Rafael
      Gomes.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 15 Jan 2017 16:21:19 +0100

uif (1.1.4-2) unstable; urgency=medium

  * debian/po:
    + Add nl.po. Thanks to Frans Spiesschaert! (Closes: #767285).
  * debian/patches:
    + Add 0001_Debian-name-spelling.patch. Fix spelling of the expression
      "Debian package" (written with a capital "D", after browsing various
      project web pages) and another typo in an error message. (Closes:
      #772496).
    + Add 0002_correctly-ignore-ipv4+6-only-rules.patch. Fix severe flaw in
      IPv4-only/IPv6-only rule setup. Don't open IPv4 holes when setting up
      IPv6-only rules and vice versa. (Closes: #779150).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 11 Mar 2015 12:19:46 +0100

uif (1.1.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    + Don't call dh_lintian twice.
  * lintian:
    + Drop now unused override: maintainer-script-should-not-use-service.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 01 Jul 2014 10:37:13 +0200

uif (1.1.3-1) unstable; urgency=low

  * New upstream release.
  * debian/uif.postinst:
    + Provide a DebConf mediated workstation config that also protects
      from IPv6 attacks.
  * debian/patches:
    + Drop 0001_allow-neightbor-advertisement.patch. Part of new release.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 13 Jun 2014 21:37:20 +0200

uif (1.1.2-2) unstable; urgency=low

  * debian/patches:
    + Add 0001_allow-neightbor-advertisement.patch. By default allow ICMPv6
      packet type 136, as well. Also allow inbound ICMPv6 by default.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 20 May 2014 17:05:31 +0200

uif (1.1.2-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright:
    + Work in new copyright co-holders.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 20 May 2014 16:33:16 +0200

uif (1.1.1-1) unstable; urgency=low

  * New upstream release.
    - Provide IPv6 support. (Closes: #679744).
  * debian/control:
    + Bump Standards: to 3.9.5. No changes needed.
    + Alioth-canonicalize Vcs-Git: field.
  * debian/rules:
    + Add get-orig-source rule.
    + Leaving clean-up to dh_clean.
  * debian/*.docs:
    + Install README* files into bin:package.
  * debian/rules:
    + Run dh_link during install.
  * debian/uif.postinst:
    + Adapt debconf based configuration of workstation profile to IPv6
      capabilities. Also enable IPv6 by default if uif is configured
      via debconf.
    + Calls of update-rc.d are now handled by debhelper. Add #DEBHELPER#
      macro after the new uif configuration has been created by debconf.
  * debian/uif.init:
    + Provide an LSB compliant init script for Debian.
  * debian/uif.install:
    + Don't install upstream's init script on Debian system.
  * lintian:
    + Provide override for maintainer-script-should-not-use-service. It is
      a false-positive.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 22 Jan 2014 16:37:18 +0100

uif (1.0.8-2) unstable; urgency=low

  * /debian/control:
    + Drop uif-ldap from Suggests: field. No such package exists in
      Debian.
  * /debian/uif.docs:
    + Install README file into docs.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 06 Aug 2013 21:35:13 +0200

uif (1.0.8-1) unstable; urgency=low

  * New upstream release.
    + Don't fail if Net::LDAP is not installed. (Closes: #273119).
    + Ship default uif.conf file. (Closes: #273117).
  * /debian/control:
    + Add Homepage: field.
    + Move libnet-ldap-perl from Depends: to Recommends: field.
  * /debian/copyright:
    + Use DEP-5 copyright format.
  * /debian/watch:
    + A watch file has been added.
  * /debian/po/de.po:
    + Convert encoding to UTF-8

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 18 Jul 2013 12:34:13 +0200

uif (1.0.6-3) unstable; urgency=low

  * Add closure for WNPP orphanage bug (Closes: #706290). New maintainer of uif
    is Mike Gabriel <sunweaver@debian.org>.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 29 Apr 2013 08:05:06 +0200

uif (1.0.6-2) unstable; urgency=low

  * New maintainer: Mike Gabriel <sunweaver@debian.org>.
  * /debian/control:
    + Add fields: Vcs-Git, Vcs-Browser.
  * /debian/source/format: 3.0 (quilt).
  * Lintian issues fixed:
    + W: uif source: debian-rules-missing-recommended-target build-arch.
    + W. uif source: debian-rules-missing-recommended-target build-indep.
    + W: uif source: stray-translated-debconf-templates templates.de.
  * Bumped Standards: field to: 3.9.4 (after above changes).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 29 Apr 2013 00:43:33 +0200

uif (1.0.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "uif uses deprecated position of ! to negate rules":
    patch uif.pl to put '!' before the parameters.
    Thanks to Alex Owen for the bug report and the initial patch.
    (Closes: #683312)
  * Fix "New Japanese translation": add ja.po, thanks to victory.
    (Closes: #692838)

 -- gregor herrmann <gregoa@debian.org>  Mon, 14 Jan 2013 20:48:18 +0100

uif (1.0.6-1) unstable; urgency=low

  * New upstream version.
  * Fix incompatibility with new conntrack modules.
  * Fix pending l10n issues. Debconf translations:
    - Danish. Closes: #590000
  * Fix rate limiting issue. Closes: #514993
  * Made alias interfaces valid interfaces. Closes: #496751

 -- Cajus Pollmeier <cajus@debian.org>  Mon, 25 Jul 2011 17:28:09 +0200

uif (1.0.5-4.3) unstable; urgency=low

  * Non-maintainer upload.
  * Bump debhelper compatibility to 7
  * As a consequence, replace obsoleted "dh_clean -k" calls by "dh_prep"
  * Explicitly use 1.0 as source format
  * Fix spelling error ("informations") in README.Debian
  * Drop useless debian/templates.de file
  * Fix pending l10n issues. Debconf translations:
    - Spanish (Francisco Javier Cuadrado).  Closes: #513352

 -- Christian Perrier <bubulle@debian.org>  Tue, 04 May 2010 07:35:54 +0200

uif (1.0.5-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Swedish. Closes: #492183
    - Italian. Closes: #503763
  * Remove stray debconf translation debian/templates.de. Superseded by
    the regular translation debian/po/de.po for ages.

 -- Christian Perrier <bubulle@debian.org>  Thu, 30 Oct 2008 07:35:35 +0100

uif (1.0.5-4.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Add debconf-updatepo to the clean target. Closes: #469254
  * Remove useless debian/templates.de file
  * Fix typos in debconf templates. Closes: #323959
  * Remove extra spaces in debconf templates in various places
  * Remove overzealous exclamation mark in debconf templates
  * Turn one note into error
  * Debconf translations:
    - Portuguese. Closes: #414056
    - French. Closes: #471541
    - German
    - Finnish. Closes: #478669
  * Basque. Closes: #479450
  * Portuguese. Closes: #479627
  * Czech. Closes: #479630
  * Vietnamese. Closes: #479746
  * Galician. Closes: #479834
  * Russian. Closes: #480252
  * [Lintian] Move po-debconf and debhelper to Build-Depends as they're
    used in the clean target
  * [Lintian] Set debhelper compatibility level in debian/compat, not
    debian/rules

 -- Christian Perrier <bubulle@debian.org>  Sat, 19 Apr 2008 20:08:36 +0200

uif (1.0.5-4) unstable; urgency=low

  * Added LSB formatted dependency info (Closes:#469112)

 -- Cajus Pollmeier <cajus@debian.org>  Mon, 03 Mar 2008 08:57:11 +0100

uif (1.0.5-3.1) unstable; urgency=low

  * Non-maintainer upload to fix the pending l10n issues.
  * Debconf translations:
    - German corrected. Closes: #313873
    - Vietnamese. Closes: #323958

 -- Christian Perrier <bubulle@debian.org>  Thu,  8 Feb 2007 18:28:36 +0100

uif (1.0.5-3) unstable; urgency=low

  * Adjusted command line parameter for tail (Closes:#301414) 

 -- Cajus Pollmeier <cajus@debian.org>  Fri, 15 Apr 2005 16:01:09 +0200

uif (1.0.5-2) unstable; urgency=low

  * Added Czech debconf translation contributed by Miroslav Kure
    (Closes:#287541)

 -- Cajus Pollmeier <cajus@debian.org>  Sun,  2 Jan 2005 10:27:28 +0100

uif (1.0.5-1) unstable; urgency=low

  * New upstream release (Closes:#262363)

 -- Cajus Pollmeier <cajus@debian.org>  Sat, 31 Jul 2004 09:28:11 +0200

uif (1.0.4-10) unstable; urgency=low

  * Added catalan debconf translation (Closes:#248756)

 -- Cajus Pollmeier <cajus@debian.org>  Fri, 14 May 2004 11:43:59 +0200

uif (1.0.4-9) unstable; urgency=low

  * Made init script return an error code if setting the rules failes
  * Do not try to simplify a group of networks when definitions
    contain mac addresses

 -- Cajus Pollmeier <cajus@debian.org>  Fri, 23 Apr 2004 18:20:27 +0200

uif (1.0.4-8) unstable; urgency=low

  * Fixed regex in uif which had problems to parse new /etc/protocols

 -- Cajus Pollmeier <cajus@debian.org>  Thu, 19 Feb 2004 07:12:48 +0100

uif (1.0.4-7) unstable; urgency=low

  * Added conflicts to other firewalls (Closes: #223359)
  * Updated contributed configuration

 -- Cajus Pollmeier <cajus@debian.org>  Sat, 13 Dec 2003 20:42:09 +0100

uif (1.0.4-6) unstable; urgency=low

  * Included french translation done by Michel Grentzinger
    (Closes: #200673)

 -- Cajus Pollmeier <cajus@debian.org>  Thu, 10 Jul 2003 07:30:12 +0200

uif (1.0.4-5) unstable; urgency=low

  * Converted debconf dialogs to support the new gettext aware
    translations. (Closes: #199834)
  * Fixed two little translation bugs for the german i18n

 -- Cajus Pollmeier <cajus@debian.org>  Thu,  3 Jul 2003 20:18:27 +0200

uif (1.0.4-4) unstable; urgency=low

  * Fixed problem when specifying multiple portranges
  * Added extra checks just in case the kernel has no module support
  * Updated standards-version

 -- Cajus Pollmeier <cajus@debian.org>  Mon, 30 Dec 2002 14:16:52 +0100

uif (1.0.4-3) unstable; urgency=low

  * Initial Debian release (Closes: #170565) 

 -- Cajus Pollmeier <cajus@debian.org>  Mon, 25 Nov 2002 16:59:16 +0100

uif (1.0.4-2) unstable; urgency=low

  * removed debugging output

 -- Joerg Platte <jplatte@jako.ping.de>  Tue,  8 Oct 2002 08:34:00 +0200

uif (1.0.4-1) unstable; urgency=low

  * new upstream release fixes mark problems

 -- Joerg Platte <jplatte@jako.ping.de>  Wed, 14 Aug 2002 11:15:00 +0200

uif (1.0.3-1) unstable; urgency=low

  * new upstream release

 -- Cajus Pollmeier <pollmeier@gonicus.de>  Thu, 18 Jul 2002 22:37:38 +0200

uif (1.0.2-1) unstable; urgency=low

  * New upstream release
  * Added mark support
  * Added dhis service
  * cosmetical changes

 -- Joerg Platte <jplatte@jako.ping.de>  Thu, 18 Jul 2002 20:39:58 +0200

uif (1.0.1-5) unstable; urgency=low

  * fixed init script

 -- Cajus Pollmeier <c.pollmeier@gmx.net>  Sun, 30 Jun 2002 20:25:15 +0200

uif (1.0.1-4) unstable; urgency=low

  * uif depends on bsdutils, added to control

 -- Cajus Pollmeier <c.pollmeier@gmx.net>  Mon, 10 Jun 2002 10:34:31 +0200

uif (1.0.1-3) unstable; urgency=low

  * Followed lintians suggestions...
  * Fixed typo in uif.prerm

 -- Cajus Pollmeier <c.pollmeier@gmx.net>  Fri, 31 May 2002 11:19:57 +0200

uif (1.0.1-2) unstable; urgency=low

  * Fixed uif.prerm to update cleanly

 -- Cajus Pollmeier <pollmeier@gonicus.de>  Mon, 27 May 2002 10:44:56 +0200

uif (1.0.1-1) unstable; urgency=low

  * Updated documentation, added more examples
  * Fixed README to not contain "blahfasel"

 -- Cajus Pollmeier <pollmeier@gonicus.de>  Sun, 26 May 2002 21:50:21 +0200

uif (1.0.0-3) unstable; urgency=low

  * fixed typo in uif.pl

 -- Joerg Platte <jplatte@jako.ping.de>  Sun, 26 May 2002 12:11:21 +0200

uif (1.0.0-2) unstable; urgency=low

  * NMU :-)
  * manpage update
  * added documentation: examples.txt

 -- Joerg Platte <jplatte@jako.ping.de>  Sun, 26 May 2002 11:15:49 +0200

uif (1.0.0-1) unstable; urgency=low

  * Initial release.

 -- Cajus Pollmeier <pollmeier@gonicus.de>  Sun, 24 Feb 2002 17:35:29 +0200

Local variables:
mode: debian-changelog
End:
